Webforms
Returns all webforms of the given owner_id (teamId) in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/webform?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"id": 1,
"org_id": "text",
"owner_id": "text",
"name": "text",
"is_cname": true,
"public_url": "text",
"host_name": "text",
"tags": {},
"is_captcha_enabled": true,
"captcha_provider": "text",
"captcha_secret": {
"site_key": "text",
"secret": "text"
},
"form_owner_type": "text",
"form_owner_id": "text",
"form_owner_name": "text",
"services": [
{
"service_id": "text",
"name": "text",
"alias": "text"
}
],
"input_field": [
{
"label": "text",
"options": [
"text"
]
}
],
"header": "text",
"title": "text",
"logo_url": "text",
"footer_text": "text",
"footer_link": "text",
"email_on": [
"text"
],
"description": "text",
"incident_count": 1,
"mttr": 1,
"is_deleted": true,
"deleted_at": "text"
}
],
"meta": {
"total_count": 1
}
}Add a webform to the organization. Returns the webform object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
Public API request for creating a webform
Unique identifier of the owner (string or UUID)
Name of the webform
Indicates if a custom domain (CNAME) is used
Custom hostname if CNAME is enabled
Key-value tags for the webform
Whether CAPTCHA is enabled on the form
Entity type that owns the form (e.g., team, user)
Identifier for the owner entity
Header text shown on the form
Title of the webform
URL to the organization's logo
Text displayed in the footer
Hyperlink in the footer (mailto or https)
Emails to notify on submission
Optional description for the webform
The request has succeeded and a new resource has been created as a result.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
POST /v3/webform HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 453
{
"owner_id": "text",
"name": "text",
"is_cname": true,
"host_name": "text",
"tags": {},
"is_captcha_enabled": true,
"captcha_secret": {
"site_key": "text",
"secret": "text"
},
"form_owner_type": "text",
"form_owner_id": "text",
"services": [
{
"service_id": "text",
"name": "text",
"alias": "text"
}
],
"input_field": [
{
"label": "text",
"options": [
"text"
]
}
],
"header": "text",
"title": "text",
"logo_url": "text",
"footer_text": "text",
"footer_link": "text",
"email_on": [
"text"
],
"description": "text"
}{
"data": {
"webform": {
"id": 1,
"org_id": "text",
"owner_id": "text",
"name": "text",
"is_cname": true,
"public_url": "text",
"host_name": "text",
"tags": {},
"is_captcha_enabled": true,
"captcha_provider": "text",
"captcha_secret": {
"site_key": "text",
"secret": "text"
},
"form_owner_type": "text",
"form_owner_id": "text",
"form_owner_name": "text",
"services": [
{
"service_id": "text",
"name": "text",
"alias": "text"
}
],
"input_field": [
{
"label": "text",
"options": [
"text"
]
}
],
"header": "text",
"title": "text",
"logo_url": "text",
"footer_text": "text",
"footer_link": "text",
"email_on": [
"text"
],
"description": "text",
"incident_count": 1,
"mttr": 1,
"is_deleted": true,
"deleted_at": "text"
}
}
}Returns a webform details of the given webformId in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
GET /v3/webform/{webformId}?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": 1,
"org_id": "text",
"owner_id": "text",
"name": "text",
"is_cname": true,
"public_url": "text",
"host_name": "text",
"tags": {},
"is_captcha_enabled": true,
"captcha_provider": "text",
"captcha_secret": {
"site_key": "text",
"secret": "text"
},
"form_owner_type": "text",
"form_owner_id": "text",
"form_owner_name": "text",
"services": [
{
"service_id": "text",
"name": "text",
"alias": "text"
}
],
"input_field": [
{
"label": "text",
"options": [
"text"
]
}
],
"header": "text",
"title": "text",
"logo_url": "text",
"footer_text": "text",
"footer_link": "text",
"email_on": [
"text"
],
"description": "text",
"incident_count": 1,
"mttr": 1,
"is_deleted": true,
"deleted_at": "text"
}
}Update a webform to the organization. Returns the webform object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
Public API request for creating a webform
Unique identifier of the owner (string or UUID)
Name of the webform
Indicates if a custom domain (CNAME) is used
Custom hostname if CNAME is enabled
Key-value tags for the webform
Whether CAPTCHA is enabled on the form
Entity type that owns the form (e.g., team, user)
Identifier for the owner entity
Header text shown on the form
Title of the webform
URL to the organization's logo
Text displayed in the footer
Hyperlink in the footer (mailto or https)
Emails to notify on submission
Optional description for the webform
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
PUT /v3/webform/{webformId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 453
{
"owner_id": "text",
"name": "text",
"is_cname": true,
"host_name": "text",
"tags": {},
"is_captcha_enabled": true,
"captcha_secret": {
"site_key": "text",
"secret": "text"
},
"form_owner_type": "text",
"form_owner_id": "text",
"services": [
{
"service_id": "text",
"name": "text",
"alias": "text"
}
],
"input_field": [
{
"label": "text",
"options": [
"text"
]
}
],
"header": "text",
"title": "text",
"logo_url": "text",
"footer_text": "text",
"footer_link": "text",
"email_on": [
"text"
],
"description": "text"
}{
"data": {
"id": 1,
"org_id": "text",
"owner_id": "text",
"name": "text",
"is_cname": true,
"public_url": "text",
"host_name": "text",
"tags": {},
"is_captcha_enabled": true,
"captcha_provider": "text",
"captcha_secret": {
"site_key": "text",
"secret": "text"
},
"form_owner_type": "text",
"form_owner_id": "text",
"form_owner_name": "text",
"services": [
{
"service_id": "text",
"name": "text",
"alias": "text"
}
],
"input_field": [
{
"label": "text",
"options": [
"text"
]
}
],
"header": "text",
"title": "text",
"logo_url": "text",
"footer_text": "text",
"footer_link": "text",
"email_on": [
"text"
],
"description": "text",
"incident_count": 1,
"mttr": 1,
"is_deleted": true,
"deleted_at": "text"
}
}Remove a webform from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.
The request has succeeded.
The server could not understand the request due to invalid syntax.
Access is unauthorized.
Client error
Access is forbidden.
The server cannot find the requested resource.
The request conflicts with the current state of the server.
Client error
Server error
Server error
Service unavailable.
Server error
DELETE /v3/webform/{webformId}?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": "text"
}Last updated